"use strict";
// Copyright (c) Microsoft Corporation. All rights reserved. Licensed under the MIT license.
// See LICENSE in the project root for license information.
Object.defineProperty(exports, "__esModule", { value: true });
exports.SourceLocation = exports.HeritageType = exports.ApiVariable = exports.TypeParameter = exports.ApiTypeAlias = exports.ApiPropertySignature = exports.ApiProperty = exports.Parameter = exports.ApiPackage = exports.ApiNamespace = exports.ApiModel = exports.ApiMethodSignature = exports.ApiMethod = exports.ApiInterface = exports.ApiIndexSignature = exports.ApiFunction = exports.EnumMemberOrder = exports.ApiEnumMember = exports.ApiEnum = exports.ApiEntryPoint = exports.ApiConstructSignature = exports.ApiConstructor = exports.ApiClass = exports.ApiCallSignature = exports.Excerpt = exports.ExcerptToken = exports.ExcerptTokenKind = exports.FindApiItemsMessageId = exports.ApiExportedMixin = exports.ApiInitializerMixin = exports.ApiReadonlyMixin = exports.ApiOptionalMixin = exports.ApiNameMixin = exports.ApiStaticMixin = exports.ApiReturnTypeMixin = exports.ApiReleaseTagMixin = exports.ApiProtectedMixin = exports.ApiItemContainerMixin = exports.ApiAbstractMixin = exports.ApiTypeParameterListMixin = exports.ApiParameterListMixin = exports.ApiPropertyItem = exports.ApiItem = exports.ApiItemKind = exports.ApiDocumentedItem = exports.ApiDeclaredItem = exports.ReleaseTag = exports.AedocDefinitions = void 0;
/**
 * Use this library to read and write *.api.json files as defined by the
 * {@link https://api-extractor.com/ | API Extractor}  tool.  These files are used to generate a documentation
 * website for your TypeScript package.  The files store the API signatures and doc comments that were extracted
 * from your package.
 *
 * @packageDocumentation
 */
var AedocDefinitions_1 = require("./aedoc/AedocDefinitions");
Object.defineProperty(exports, "AedocDefinitions", { enumerable: true, get: function () { return AedocDefinitions_1.AedocDefinitions; } });
var ReleaseTag_1 = require("./aedoc/ReleaseTag");
Object.defineProperty(exports, "ReleaseTag", { enumerable: true, get: function () { return ReleaseTag_1.ReleaseTag; } });
// items
var ApiDeclaredItem_1 = require("./items/ApiDeclaredItem");
Object.defineProperty(exports, "ApiDeclaredItem", { enumerable: true, get: function () { return ApiDeclaredItem_1.ApiDeclaredItem; } });
var ApiDocumentedItem_1 = require("./items/ApiDocumentedItem");
Object.defineProperty(exports, "ApiDocumentedItem", { enumerable: true, get: function () { return ApiDocumentedItem_1.ApiDocumentedItem; } });
var ApiItem_1 = require("./items/ApiItem");
Object.defineProperty(exports, "ApiItemKind", { enumerable: true, get: function () { return ApiItem_1.ApiItemKind; } });
Object.defineProperty(exports, "ApiItem", { enumerable: true, get: function () { return ApiItem_1.ApiItem; } });
var ApiPropertyItem_1 = require("./items/ApiPropertyItem");
Object.defineProperty(exports, "ApiPropertyItem", { enumerable: true, get: function () { return ApiPropertyItem_1.ApiPropertyItem; } });
// mixins
var ApiParameterListMixin_1 = require("./mixins/ApiParameterListMixin");
Object.defineProperty(exports, "ApiParameterListMixin", { enumerable: true, get: function () { return ApiParameterListMixin_1.ApiParameterListMixin; } });
var ApiTypeParameterListMixin_1 = require("./mixins/ApiTypeParameterListMixin");
Object.defineProperty(exports, "ApiTypeParameterListMixin", { enumerable: true, get: function () { return ApiTypeParameterListMixin_1.ApiTypeParameterListMixin; } });
var ApiAbstractMixin_1 = require("./mixins/ApiAbstractMixin");
Object.defineProperty(exports, "ApiAbstractMixin", { enumerable: true, get: function () { return ApiAbstractMixin_1.ApiAbstractMixin; } });
var ApiItemContainerMixin_1 = require("./mixins/ApiItemContainerMixin");
Object.defineProperty(exports, "ApiItemContainerMixin", { enumerable: true, get: function () { return ApiItemContainerMixin_1.ApiItemContainerMixin; } });
var ApiProtectedMixin_1 = require("./mixins/ApiProtectedMixin");
Object.defineProperty(exports, "ApiProtectedMixin", { enumerable: true, get: function () { return ApiProtectedMixin_1.ApiProtectedMixin; } });
var ApiReleaseTagMixin_1 = require("./mixins/ApiReleaseTagMixin");
Object.defineProperty(exports, "ApiReleaseTagMixin", { enumerable: true, get: function () { return ApiReleaseTagMixin_1.ApiReleaseTagMixin; } });
var ApiReturnTypeMixin_1 = require("./mixins/ApiReturnTypeMixin");
Object.defineProperty(exports, "ApiReturnTypeMixin", { enumerable: true, get: function () { return ApiReturnTypeMixin_1.ApiReturnTypeMixin; } });
var ApiStaticMixin_1 = require("./mixins/ApiStaticMixin");
Object.defineProperty(exports, "ApiStaticMixin", { enumerable: true, get: function () { return ApiStaticMixin_1.ApiStaticMixin; } });
var ApiNameMixin_1 = require("./mixins/ApiNameMixin");
Object.defineProperty(exports, "ApiNameMixin", { enumerable: true, get: function () { return ApiNameMixin_1.ApiNameMixin; } });
var ApiOptionalMixin_1 = require("./mixins/ApiOptionalMixin");
Object.defineProperty(exports, "ApiOptionalMixin", { enumerable: true, get: function () { return ApiOptionalMixin_1.ApiOptionalMixin; } });
var ApiReadonlyMixin_1 = require("./mixins/ApiReadonlyMixin");
Object.defineProperty(exports, "ApiReadonlyMixin", { enumerable: true, get: function () { return ApiReadonlyMixin_1.ApiReadonlyMixin; } });
var ApiInitializerMixin_1 = require("./mixins/ApiInitializerMixin");
Object.defineProperty(exports, "ApiInitializerMixin", { enumerable: true, get: function () { return ApiInitializerMixin_1.ApiInitializerMixin; } });
var ApiExportedMixin_1 = require("./mixins/ApiExportedMixin");
Object.defineProperty(exports, "ApiExportedMixin", { enumerable: true, get: function () { return ApiExportedMixin_1.ApiExportedMixin; } });
var IFindApiItemsResult_1 = require("./mixins/IFindApiItemsResult");
Object.defineProperty(exports, "FindApiItemsMessageId", { enumerable: true, get: function () { return IFindApiItemsResult_1.FindApiItemsMessageId; } });
var Excerpt_1 = require("./mixins/Excerpt");
Object.defineProperty(exports, "ExcerptTokenKind", { enumerable: true, get: function () { return Excerpt_1.ExcerptTokenKind; } });
Object.defineProperty(exports, "ExcerptToken", { enumerable: true, get: function () { return Excerpt_1.ExcerptToken; } });
Object.defineProperty(exports, "Excerpt", { enumerable: true, get: function () { return Excerpt_1.Excerpt; } });
// model
var ApiCallSignature_1 = require("./model/ApiCallSignature");
Object.defineProperty(exports, "ApiCallSignature", { enumerable: true, get: function () { return ApiCallSignature_1.ApiCallSignature; } });
var ApiClass_1 = require("./model/ApiClass");
Object.defineProperty(exports, "ApiClass", { enumerable: true, get: function () { return ApiClass_1.ApiClass; } });
var ApiConstructor_1 = require("./model/ApiConstructor");
Object.defineProperty(exports, "ApiConstructor", { enumerable: true, get: function () { return ApiConstructor_1.ApiConstructor; } });
var ApiConstructSignature_1 = require("./model/ApiConstructSignature");
Object.defineProperty(exports, "ApiConstructSignature", { enumerable: true, get: function () { return ApiConstructSignature_1.ApiConstructSignature; } });
var ApiEntryPoint_1 = require("./model/ApiEntryPoint");
Object.defineProperty(exports, "ApiEntryPoint", { enumerable: true, get: function () { return ApiEntryPoint_1.ApiEntryPoint; } });
var ApiEnum_1 = require("./model/ApiEnum");
Object.defineProperty(exports, "ApiEnum", { enumerable: true, get: function () { return ApiEnum_1.ApiEnum; } });
var ApiEnumMember_1 = require("./model/ApiEnumMember");
Object.defineProperty(exports, "ApiEnumMember", { enumerable: true, get: function () { return ApiEnumMember_1.ApiEnumMember; } });
Object.defineProperty(exports, "EnumMemberOrder", { enumerable: true, get: function () { return ApiEnumMember_1.EnumMemberOrder; } });
var ApiFunction_1 = require("./model/ApiFunction");
Object.defineProperty(exports, "ApiFunction", { enumerable: true, get: function () { return ApiFunction_1.ApiFunction; } });
var ApiIndexSignature_1 = require("./model/ApiIndexSignature");
Object.defineProperty(exports, "ApiIndexSignature", { enumerable: true, get: function () { return ApiIndexSignature_1.ApiIndexSignature; } });
var ApiInterface_1 = require("./model/ApiInterface");
Object.defineProperty(exports, "ApiInterface", { enumerable: true, get: function () { return ApiInterface_1.ApiInterface; } });
var ApiMethod_1 = require("./model/ApiMethod");
Object.defineProperty(exports, "ApiMethod", { enumerable: true, get: function () { return ApiMethod_1.ApiMethod; } });
var ApiMethodSignature_1 = require("./model/ApiMethodSignature");
Object.defineProperty(exports, "ApiMethodSignature", { enumerable: true, get: function () { return ApiMethodSignature_1.ApiMethodSignature; } });
var ApiModel_1 = require("./model/ApiModel");
Object.defineProperty(exports, "ApiModel", { enumerable: true, get: function () { return ApiModel_1.ApiModel; } });
var ApiNamespace_1 = require("./model/ApiNamespace");
Object.defineProperty(exports, "ApiNamespace", { enumerable: true, get: function () { return ApiNamespace_1.ApiNamespace; } });
var ApiPackage_1 = require("./model/ApiPackage");
Object.defineProperty(exports, "ApiPackage", { enumerable: true, get: function () { return ApiPackage_1.ApiPackage; } });
var Parameter_1 = require("./model/Parameter");
Object.defineProperty(exports, "Parameter", { enumerable: true, get: function () { return Parameter_1.Parameter; } });
var ApiProperty_1 = require("./model/ApiProperty");
Object.defineProperty(exports, "ApiProperty", { enumerable: true, get: function () { return ApiProperty_1.ApiProperty; } });
var ApiPropertySignature_1 = require("./model/ApiPropertySignature");
Object.defineProperty(exports, "ApiPropertySignature", { enumerable: true, get: function () { return ApiPropertySignature_1.ApiPropertySignature; } });
var ApiTypeAlias_1 = require("./model/ApiTypeAlias");
Object.defineProperty(exports, "ApiTypeAlias", { enumerable: true, get: function () { return ApiTypeAlias_1.ApiTypeAlias; } });
var TypeParameter_1 = require("./model/TypeParameter");
Object.defineProperty(exports, "TypeParameter", { enumerable: true, get: function () { return TypeParameter_1.TypeParameter; } });
var ApiVariable_1 = require("./model/ApiVariable");
Object.defineProperty(exports, "ApiVariable", { enumerable: true, get: function () { return ApiVariable_1.ApiVariable; } });
var HeritageType_1 = require("./model/HeritageType");
Object.defineProperty(exports, "HeritageType", { enumerable: true, get: function () { return HeritageType_1.HeritageType; } });
var SourceLocation_1 = require("./model/SourceLocation");
Object.defineProperty(exports, "SourceLocation", { enumerable: true, get: function () { return SourceLocation_1.SourceLocation; } });
//# sourceMappingURL=index.js.map