/**
 * A system for sharing tool configurations between projects without duplicating config files.
 *
 * @remarks
 * The `config/rig.json` file is a system that Node.js build tools can support, in order to eliminate
 * duplication of config files when many projects share a common configuration.  This is particularly valuable
 * in a setup where hundreds of projects may be built using a small set of reusable recipes.
 *
 * @packageDocumentation
 */
export { type IRigConfigJson, type IRigConfig, RigConfig, type ILoadForProjectFolderOptions } from './RigConfig';
//# sourceMappingURL=index.d.ts.map